# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/stat.pm) perl(FileHandle.pm)
# END SourceDeps(oneline)
%define module_version 0.4.0
%define module_name HTML-CMTemplate
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.4.0
Release: alt1
Summary: Generate text-based content from templates.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SH/SHIBLON/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
HTML::CMTemplate 0.4.0

A class for generating text-based content from a simple template language.
It was inspired by the (as far as I'm concerned, incomplete) HTML::Template
module, and was designed to make template output extremely fast by
converting a text/html template into a dynamic perl module and then running
code from that module.  Since the parsing happens only once and the template
is converted into Perl code, the output of the template is very fast.

It was designed to work with mod_perl and FastCGI and has been the basis
for all of the dynamic content on the Orangatango site
(http://www.orangatango.com).

First release (version 0.1) was February 15, 2001 and was *very* quiet
because it was a proprietary version.

As of version 0.2, it is released under the Artistic License.  It's a much
more feature-rich version as well as being Open Source!
For a copy of the Artistic License, see the files that came with your
Perl distribution.

The code was developed during my time at Orangatango.  It has been released
as open source with the blessing of the controlling entities there.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/H*

%changelog
* Mon Sep 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1
- initial import by package builder

